
--[[ EN ]]

-- To create a new module, change every occurence of 'BudTerence' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'BudTerence' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaBudTerence"
local moduleid = "BT"
local moduleData = nil
local frame = CreateFrame("Frame", "KQMediaBudTerenceFakeFrame")

function KQMediaBudTerence_OnEvent(this, event, ...)
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaBudTerence_Init()
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData)
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData)
        end
        frame:UnregisterEvent("ADDON_LOADED")
    end
end

frame:SetScript("OnEvent", KQMediaBudTerence_OnEvent)
frame:RegisterEvent("ADDON_LOADED")

function KQMediaBudTerence_Init()
    moduleData = {
	name = "Bud & Terence",
    	  moduleid = moduleid,
	  tags = {["BT"] = "BT"}, 
    	  mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
	  mediadata = nil,
	  			
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Default module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Template-Module, mu§ dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "BT:01",
    file = "gehabteuchwohl.ogg",
    len = 2,											
    msg = "Gehabt Euch wohl",
    tags = {"bye"}
},
{
    id = "BT:02",
    file = "gnadedirgott.ogg",
    len = 6,
    msg = "Gnade dir Gott",
},
{
    id = "BT:03",
    file = "gottseimitdir.ogg",
    len = 4,
    msg = "Gott sei mit dir",
    tags = {"bye"}
},
{
    id = "BT:04",
    file = "hattabummsgemacht.ogg",
    len = 13,
    msg = "Guten Appetit Tiefflieger",
},
{
    id = "BT:05",
    file = "hoermitdenvorschlaegenauf.ogg",
    len = 9,
    msg = "Hör mit den Vorschlägen auf!",
},
{
    id = "BT:06",
    file = "istdiehaesslich.ogg",
    len = 2,
    msg = "Mann ist die häßlich",
    tags = {"negative"}
},
{
    id = "BT:07",
    file = "kaffee.ogg",
    len = 2,
    msg = "Kaffee!",
    tags = {"pause"}
},
{
    id = "BT:08",
    file = "kindmuelleimer.ogg",
    len = 6,
    msg = "Sei mal ehrlich",
    tags = {"negative"}
},
{
    id = "BT:09",
    file = "leichteschlaege.ogg",
    len = 9,
    msg = "Leichte Schläge …",
},
{
    id = "BT:10",
    file = "moegederherrmiteuchsein.ogg",
    len = 19,
    msg = "Es ist Luzifer …",
},
{
    id = "BT:11",
    file = "opaindieschnauze.ogg",
    len = 9,
    msg = "Scheitel gezogen",
},
{
    id = "BT:12",
    file = "platschplatsch.ogg",
    len = 11,
    msg = "Platsch, platsch",
},
{
    id = "BT:13",
    file = "machschonplatz.ogg",
    len = 3,
    msg = "Ich bin der Landvogt",
},
{
    id = "BT:14",
    file = "schonerwachsen.ogg",
    len = 10,
    msg = "Erwachsen?",
},
{
    id = "BT:15",
    file = "vorschlaghammerscheitel.ogg",
    len = 6,
    msg = "Vorschlaghammer",
},
{
    id = "BT:16",
    file = "wehewenndupetzt.ogg",
    len = 17,
    msg = "Absolution",
    tags = {"negative"}
},

{
    id = "BT:17",
    file = "ahahahaha.ogg",
    len = 1,
    msg = "Ahahahaha!",
},
{
    id = "BT:18",
    file = "bringwaszufressen.ogg",
    len = 3,
    msg = "Du bringst was zu fressen",
    tags = {"pause"}
},
{
    id = "BT:19",
    file = "dahatsbummsgemacht.ogg",
    len = 2,
    msg = "Da hat's Bumms gemacht (1)",
},
{
    id = "BT:20",
    file = "dahatsbummsgemacht2.ogg",
    len = 1,
    msg = "Da hat's Bumms gemacht (2)",
},
{
    id = "BT:21",
    file = "daswuerdeichalsdrohungauffassen.ogg",
    len = 1,
    msg = "Das würde ich als Drohung auffassen",
},
{
    id = "BT:22",
    file = "dumiesesau.ogg",
    len = 3,
    msg = "Das wirst du büßen",
    tags = {"negative"}
},
{
    id = "BT:23",
    file = "dumusstmirmalwasverraten.ogg",
    len = 2,
    msg = "Du mußt mir mal was verraten",
    tags = {"negative"}
},
{
    id = "BT:24",
    file = "hamsedirnenscheitelgezogen.ogg",
    len = 2,
    msg = "Hamse dir nen Scheitel gezogen?",
},
{
    id = "BT:25",
    file = "ichwerdsmirausrichten.ogg",
    len = 1,
    msg = "Ich werd's mir ausrichten",
},
{
    id = "BT:26",
    file = "komischerheiliger.ogg",
    len = 2,
    msg = "Ich warne dich",
},
{
    id = "BT:27",
    file = "leichteschlaegeaufdenhinterkopf.ogg",
    len = 2,
    msg = "Leichte Schläge auf den Hinterkopf …",
},
{
    id = "BT:28",
    file = "michhaeltjakeineleiteraus.ogg",
    len = 1,
    msg = "Mich hält ja keine Leiter aus",
},
{
    id = "BT:29",
    file = "moegederherrmiteuchsein2.ogg",
    len = 2,
    msg = "Möge der Herr mit euch sein",
    tags = {"bye"}
},
{
    id = "BT:30",
    file = "neinnein.ogg",
    len = 1,
    msg = "Nein, nein",
},
{
    id = "BT:31",
    file = "nichtdoch.ogg",
    len = 1,
    msg = "Nicht doch",
},
{
    id = "BT:32",
    file = "rumms.ogg",
    len = 1,
    msg = "<Rumms!>",
},
{
    id = "BT:33",
    file = "schonerwachsen2.ogg",
    len = 1,
    msg = "Jetzt bist Du ja schon erwachsen",
},
{
    id = "BT:34",
    file = "vorschlaghammer.ogg",
    len = 3,
    msg = "Hat dir eigentlich …",
},
{
    id = "BT:35",
    file = "wenndupetzt.ogg",
    len = 1,
    msg = "Wenn Du petzt …",
},
{
    id = "BT:36",
    file = "wirwollenkeinebegleitung.ogg",
    len = 1,
    msg = "Wir wollen keine Begleitung",
},
{
    id = "BT:37",
    file = "asthmaoderleidenschaft.ogg",
    len = 1,
    msg = "Ist das Asthma oder Leidenschaft?",
},
{
    id = "BT:38",
    file = "aufdiepalmebringen.ogg",
    len = 3,
    msg = "Willst du mich auf die Palme bringen?",
},
{
    id = "BT:39",
    file = "dalachichmorgendrueber.ogg",
    len = 3,
    msg = "Da lach ich morgen drüber.",
},
{
    id = "BT:40",
    file = "dassindzweihohetiere.ogg",
    len = 6,
    msg = "Sachte!",
},
{
    id = "BT:41",
    file = "deristgleichwiederok.ogg",
    len = 2,
    msg = "Der ist gleich wieder in Ordnung",
},
{
    id = "BT:42",
    file = "deristueberfluessig.ogg",
    len = 2,
    msg = "Der ist überflüssig!",
},
{
    id = "BT:43",
    file = "dersiehtjaauswiekarlheinz.ogg",
    len = 2,
    msg = "Der sieht ja aus wie Karl-Heinz",
},
{
    id = "BT:44",
    file = "derwillwasvondir.ogg",
    len = 6,
    msg = "Der will was von dir",
},
{
    id = "BT:45",
    file = "diesehitze.ogg",
    len = 4,
    msg = "Diese Affenhitze!",
},
{
    id = "BT:46",
    file = "dietunnursoalsob.ogg",
    len = 1,
    msg = "Die tun nur so als ob",
    emote = "winkt ab"
},
{
    id = "BT:47",
    file = "dresche.ogg",
    len = 3,
    msg = "Rummsbums!",
},
{
    id = "BT:48",
    file = "ganzgut.ogg",
    len = 3,
    msg = "Ja, Ganz gut!",
},
{
    id = "BT:49",
    file = "gruessgott.ogg",
    len = 2,
    msg = "Grüß Gott die Herren.",
    tags = {"hi"}
},
{
    id = "BT:50",
    file = "haltdieklappe.ogg",
    len = 5,
    msg = "Halt die Klappe!",
},
{
    id = "BT:51",
    file = "hinundwiedereinglaeschen.ogg",
    len = 2,
    msg = "Hin und wieder ein Gläschen …",
},
{
    id = "BT:52",
    file = "ichbinjanichtblind.ogg",
    len = 1,
    msg = "Ich bin ja nicht blind!",
},
{
    id = "BT:53",
    file = "ichhabbleiimblut.ogg",
    len = 1,
    msg = "Ich habe Blei im Blut",
},
{
    id = "BT:54",
    file = "ichliebedengestank.ogg",
    len = 5,
    msg = "Ich sage das stinkt!",
},
{
    id = "BT:55",
    file = "indiesemsinne.ogg",
    len = 1,
    msg = "In diesem Sinne",
},
{
    id = "BT:56",
    file = "istaberaucheinwetterchen.ogg",
    len = 1,
    msg = "Ist aber auch ein Wetterchen heute.",
},
{
    id = "BT:57",
    file = "jadasinteressiert.ogg",
    len = 1,
    msg = "Ja, das interessiert",
},
{
    id = "BT:58",
    file = "kannichhelfen.ogg",
    len = 1,
    msg = "Kann ich helfen?",
},
{
    id = "BT:59",
    file = "lassstecken.ogg",
    len = 2,
    msg = "Lass stecken!",
},
{
    id = "BT:60",
    file = "machdasnichtnochmal.ogg",
    len = 2,
    msg = "Mach das nicht nochmal!",
},
{
    id = "BT:61",
    file = "machjakeinedummheiten.ogg",
    len = 5,
    msg = "Keine Dummheiten!",
},
{
    id = "BT:62",
    file = "meineristbesser.ogg",
    len = 2,
    msg = "Du hast recht, meiner gefällt mir besser",
},
{
    id = "BT:63",
    file = "mundgeruch.ogg",
    len = 2,
    msg = "Mundgeruch",
},
{
    id = "BT:64",
    file = "nichtdenken.ogg",
    len = 2,
    msg = "Nicht denken!",
},
{
    id = "BT:65",
    file = "ohnemampfkeinkampf.ogg",
    len = 11,
    msg = "Ohne Mampf kein Kampf",
},
{
    id = "BT:66",
    file = "pferdwildsau.ogg",
    len = 7,
    msg = "Auf dir kann ich ja nicht reiten …",
},
{
    id = "BT:67",
    file = "primitiv.ogg",
    len = 2,
    msg = "Primitiv",
},
{
    id = "BT:68",
    file = "sattelperforiert.ogg",
    len = 5,
    msg = "Das muss noch ein bisschen kochen",
},
{
    id = "BT:69",
    file = "sauer.ogg",
    len = 2,
    msg = "Biste sauer?",
},
{
    id = "BT:70",
    file = "schellelinksschellerechts.ogg",
    len = 2,
    msg = "Schelle links, Schelle rechts!",
},
{
    id = "BT:71",
    file = "schnauzeundex.ogg",
    len = 1,
    msg = "Schnauze und ex!",
},
{
    id = "BT:72",
    file = "sinddasdiemitdenkohlen.ogg",
    len = 2,
    msg = "sind das die mit den Kohlen?",
    emote = "blickt fragend drein"
},
{
    id = "BT:73",
    file = "soso.ogg",
    len = 1,
    msg = "So So!?",
},
{
    id = "BT:74",
    file = "Stinkstiefel.ogg",
    len = 3,
    msg = "Ich bin kein Stinkstiefel",
},
{
    id = "BT:75",
    file = "tatatataaaa.ogg",
    len = 6,
    msg = "*gelangweilt*",
    emote = "/bored"
},
{
    id = "BT:76",
    file = "tuchvorsgesicht.ogg",
    len = 2,
    msg = "Mach dir 'n Tuch vors Gesicht",
},
{
    id = "BT:77",
    file = "vergeltsgottgutermann.ogg",
    len = 3,
    msg = "Vergelts Gott",
},
{
    id = "BT:78",
    file = "wartebisichdabin.ogg",
    len = 4,
    msg = "Warte du nur!",
},
{
    id = "BT:79",
    file = "wasisdenndasfuereienesauerei.ogg",
    len = 2,
    msg = "Was ist denn das für ne Sauerei?",
},
{
    id = "BT:80",
    file = "wasismitdiekohlen.ogg",
    len = 2,
    msg = "Was ist mit den Kohlen?",
},
{
    id = "BT:81",
    file = "wasistdirausdemgesichtgefallen.ogg",
    len = 2,
    msg = "Was ist dir da aus dem Gesicht gefallen?!",
},
{
    id = "BT:82",
    file = "wenndasoderwind.ogg",
    len = 3,
    msg = "Ist gesund für die Haare",
},
{
    id = "BT:83",
    file = "wiesollichihmdasbeibringen.ogg",
    len = 3,
    msg = "Wie bringe ich es ihm nur bei?",
},
{
    id = "BT:84",
    file = "wolltestdumichbeleidigen.ogg",
    len = 3,
    msg = "Wolltest du mich beleidigen?",
},
{
    id = "BT:85",
    file = "wosinddiekohlen.ogg",
    len = 1,
    msg = "Wo sind die Kohlen?",
},
{
    id = "BT:86",
    file = "dasdinghateinergebaut.ogg",
    len = 4,
    msg = "Das Ding hat einer gebaut …",
},
{
    id = "BT:87",
    file = "dasistjarichtigscharf.ogg",
    len = 2,
    msg = "Heeey, das ist ja richtig scharf!",
},
{
    id = "BT:88",
    file = "dasiststreifenkarl.ogg",
    len = 1,
    msg = "Das ist Streifenkarl!",
},
{
    id = "BT:89",
    file = "dembeissichnebeule.ogg",
    len = 2,
    msg = "Dem beiss ich 'ne Beule in den Bart",
},
{
    id = "BT:90",
    file = "derapfelfaelltnichtweit.ogg",
    len = 2,
    msg = "Der Apfel fällt nicht weit vom …",
},
{
    id = "BT:91",
    file = "einspielinengerfreundesrunde.ogg",
    len = 3,
    msg = "Ein Spiel in enger Freundesrunde …",
},
{
    id = "BT:92",
    file = "fingerweg.ogg",
    len = 3,
    msg = "Finger weg Bürschchen!",
},
{
    id = "BT:93",
    file = "fressepolieren.ogg",
    len = 1,
    msg = "Die Fresse polier ich dir!",
},
{
    id = "BT:94",
    file = "Gedecktertisch.ogg",
    len = 1,
    msg = "Am reichen Tisch bedien dich frisch",
},
{
    id = "BT:95",
    file = "gehdarunter.ogg",
    len = 1,
    msg = "Geh da runter!",
},
{
    id = "BT:96",
    file = "Godsavethequeen.ogg",
    len = 7,
    msg = "Gott schütze die Königin",
},
{
    id = "BT:97",
    file = "hastdudirallesgemerkt.ogg",
    len = 1,
    msg = "Hast du dir auch alles gemerkt?",
},
{
    id = "BT:98",
    file = "ichbineinehrwuerdigervater.ogg",
    len = 2,
    msg = "Ich bin ein ehrwürdiger Vater",
},
{
    id = "BT:99",
    file = "ichwuerdemichschaemen.ogg",
    len = 2,
    msg = "Ich würde mich schämen, so einen Sohn zu haben",
},
{
    id = "BT:100",
    file = "kokusnussmitarsch.ogg",
    len = 2,
    msg = "Kokusnuss knacken …",
},
{
    id = "BT:101",
    file = "lastwagen.ogg",
    len = 3,
    msg = "Schon trainiert einen Lastwagen im Gipskorsett zu fahren?",
},
{
    id = "BT:102",
    file = "muttispfiffikus.ogg",
    len = 1,
    msg = "Bist Muttis Pfiffikus, was?",
},
{
    id = "BT:103",
    file = "nheeeein.ogg",
    len = 2,
    msg = "Nheeeeihn",
},
{
    id = "BT:104",
    file = "niedlicherdackel.ogg",
    len = 1,
    msg = "Ist ja ein niedlicher Dackel",
},
{
    id = "BT:105",
    file = "ohneheukanndasbestepferd.ogg",
    len = 3,
    msg = "Ohne Heu …",
},
{
    id = "BT:106",
    file = "rasputintanzen.ogg",
    len = 3,
    msg = "Ich soll hier den Rasputin tanzen.",
},
{
    id = "BT:107",
    file = "schockfuersleben.ogg",
    len = 2,
    msg = "Hoffentlich träumst du nicht mal von dir.",
},
{
    id = "BT:108",
    file = "sicheropa.ogg",
    len = 1,
    msg = "Sicher, Opa!",
},
{
    id = "BT:109",
    file = "sicherungdurchgebrannt.ogg",
    len = 1,
    msg = "Ist bei dir 'ne Sicherung durchgebrannt?",
},
{
    id = "BT:110",
    file = "verdammtescheissefressen.ogg",
    len = 3,
    msg = "Ab morgen hör ich auf zu fressen!",
},
{
    id = "BT:111",
    file = "wasistlospizza.ogg",
    len = 2,
    msg = "Schwerhörig?",
},
{
    id = "BT:112",
    file = "wasmachichdennwenndiewiederwachwerden.ogg",
    len = 4,
    msg = "Was mach ich denn, wenn die wieder wach werden?",
},
{
    id = "BT:113",
    file = "weisstduwasdumichmalkannst.ogg",
    len = 1,
    msg = "Weißt du was du mich mal kannst?!",
},
{
    id = "BT:114",
    file = "wennichdochblossnichtsofettwaere.ogg",
    len = 4,
    msg = "Ach ist das schön!",
},
{
    id = "BT:115",
    file = "zuerstbauenwireineschnapsbrennerei.ogg",
    len = 5,
    msg = "Erstmal bauen wir hier eine Schnapsbrennerei!",
},
{
    id = "BT:116",
    file = "zumtanzauffordern.ogg",
    len = 8,
    msg = "Besser nicht zum Tanz auffordern.",
},
-- end of media data
}
end -- KQMedia..._Init

